Page MenuHomePhabricator

Error when clicking on a link ending with a question mark
Closed, ResolvedPublic1 Story Points

Description

How to replicate the error:

  1. Go to this test page
  2. Click on the link "Mack, ma che principe sei?" → The page opens correctly
  3. Open VE edit mode
  4. Click on the same link as before → The page reached is empty because the link doesn't end with a "Question mark"

However, if you create a new link when editing using VE and click on the link, you reach the exact page.

Event Timeline

Nnvu created this task.Sep 18 2016, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2016, 6:44 PM

Change 311354 had a related patch set uploaded (by Catrope):
MWInternalLinkAnnotation: Fix href normalization for special characters

https://gerrit.wikimedia.org/r/311354

Elitre added a subscriber: Elitre.Sep 19 2016, 9:30 AM
Jdforrester-WMF triaged this task as High priority.Sep 21 2016, 5:13 PM
Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF set the point value for this task to 1.

Change 311354 merged by jenkins-bot:
dm.MWInternalLinkAnnotation: Fix href normalization for special characters

https://gerrit.wikimedia.org/r/311354

Jdforrester-WMF closed this task as Resolved.Sep 22 2016, 6:21 PM
Jdforrester-WMF removed a project: Patch-For-Review.